**Задача номер 1**

Сначала я написал код, чтобы программа запрашивала у пользователя 3 числа.
Данный код выглядит так: 

```
Console.WriteLine("Введите первое число: ");
```

Затем я присвоил к введенному числу переменную, следующим делом сразу конвертировал эту переменную 
из строковой в числовую. 
Код выглядит таким образом:

```
string q = Console.ReadLine();
int a = Convert.ToInt32(q);
```

Потом я начал сравнивать введенные пользователем числа:

```
if (a > -1) 
{ 
    double result = Math.Pow(a,2); 
    Console.WriteLine(result);
}

else
{
    double result_minus = Math.Pow(a,4);
    Console.WriteLine(result_minus);
}
```

Небольшое объяснение:
Если введенное число больше -1, то результат возвести во вторую степень.
Иначе возвести в четвертую степень.

**Задача номер 2**

Сначала я запросил координаты у пользователя и конвертировал введенные данные пользователя в число.
Код выглядит таким образом:

```
Console.WriteLine("Введите координаты первой точки");
Console.Write("X1: ");
string q = Console.ReadLine();
int x1 = Convert.ToInt32(q);
Console.Write("Y1: ");
string w = Console.ReadLine();
int y1 = Convert.ToInt32(w);
Console.Write("X2: ");
string e = Console.ReadLine();
int x2 = Convert.ToInt32(e);
Console.Write("Y2: ");
string r = Console.ReadLine();
int y2 = Convert.ToInt32(r);
```

Затем идут математические измерения и сравнение.
Код выглядит средующим образом:

```
double d1 = Math.Sqrt(x1 * x1 + y1 * y1);
double d2 = Math.Sqrt(x2 * x2 + y2 * y2);

if (d1 < d2)
{
    Console.WriteLine("первая точка ближе к началу коодинат");
}
else if (d2 < d1)
{
    Console.WriteLine("вторая точка ближе к началу коодинат");
}
else
{
    Console.WriteLine("точки на одинаковом расстоянии");
}
```

**Задача номер 3**

Сначала я запросил углы у пользователя и конвертировал введенные данные пользователя в число.
Код выглядит таким образом:

```
Console.WriteLine("Введите углы треугольника");
Console.WriteLine("A: ");
string q = Console.ReadLine();
int a = Convert.ToInt32(q);
Console.WriteLine("B: ");
string w = Console.ReadLine();
int b = Convert.ToInt32(w);
```

Следующим делом идет стравнение:

```
if (a + b == 90)
{
    Console.WriteLine("треугольник прямоугольный");
}
else
{
    Console.WriteLine("такого треугольника не существует");
}
```

**Задача номер 4**

Сначала я запросил данные у пользователя и конвертировал их в числа. 
(Я нашел более удобную запись кода с конвертированием)
Код выглядит таким образом:

```
Console.WriteLine("Введите числа не равные друг другу");
Console.WriteLine("First: ");
int a = Convert.ToInt32(Console.ReadLine());
Console.WriteLine("Second: ");
int b = Convert.ToInt32(Console.ReadLine());
```

Затем идет само решение и вывод результатов.
Код выглядит таким образом:

```
int sum = a + b;
int del = 2 * a * b;
if (a < b)
{
    a = sum / 2;
    b = del;
    
}
else
{
    b = sum / 2;
    a = del;
}
Console.WriteLine("Первое число: " + a);
Console.WriteLine("Второе число: " + b);
```

**Задача номер 5**

Сначала я запросил данные у пользователя и конвертировал их в числа.
Код выглядит таким образом:

```
Console.WriteLine("Введите координату 0Х: ");
int x = Convert.ToInt32(Console.ReadLine());
Console.WriteLine("Введите координату 0Y: ");
int y = Convert.ToInt32(Console.ReadLine());
```

Затем идет само решение и вывод результатов.
Код выглядит таким образом:

```
if (x > 0 & y > 0)
    Console.WriteLine("Точка лежит в I части координатной плоскости");
else if (x < 0 & y > 0)
    Console.WriteLine("Точка лежит в II части координатной плоскости");
else if (x < 0 & y < 0)
    Console.WriteLine("Точка лежит в III части координатной плоскости");
else if (x > 0 & y < 0)
    Console.WriteLine("Точка лежит в IV части координатной плоскости");
else if (x == 0 & y != 0)
    Console.WriteLine("Точка лежит на оси абсцисс");
else
    Console.WriteLine("Точка лежит на оси ординат");

```

**Задача номер 6**

Сначала я запросил данные у пользователя и преобразовал их в строку. 
Код выглядит таким образом:

```
Console.WriteLine("Введите дату дд.мм: ");
string a = Console.ReadLine();
```

Затем я добавляю новый тип данный "DateTime" и переменную "date", в которой можно хранить информацию о дате и времени.

```
DateTime date;
if (DateTime.TryParse(a, out date))
{
    Console.WriteLine("Данная дата правильная.");
}
else
{
    Console.WriteLine("Данная дата неправильная.");
}
```

Тут я использовал метод "TryParse". Он сипользуется для преобразования строки в определенный тип данных. В моем случае
это дата и время. Если преобразование пройдет нормально, то метод вернет true, а результат помещается в out. Если 
преобразование не получится, то метод вернет false.

**Задача номер 7**

Сначала я запросил данные у пользователя и конвертировал их в числа.
Код выглядит таким образом:

```
Console.WriteLine("Введите три числа: ");
Console.WriteLine("First: ");
int a = Convert.ToInt32(Console.ReadLine());
Console.WriteLine("Second: ");
int b = Convert.ToInt32(Console.ReadLine());
Console.WriteLine("Third: ");
int c = Convert.ToInt32(Console.ReadLine());
```

Затем идет само решение и вывод результатов.
Код выглядит таким образом:

```
if (a > b & b > c) 
{
    int sum = a + c;
    Console.WriteLine(sum);
}
else if (a < b & b > c) 
{
    int sum = a + b;
    Console.WriteLine(sum);
}
else if (b > a & a > c)
{
    int sum = b + c;
    Console.WriteLine(sum);
}
else if (b < a & a > c)
{
    int sum = b + a;
    Console.WriteLine(sum);
}
else if (c > b & b > a)
{
    int sum = c + a;
    Console.WriteLine(sum);
}
else if (a > c & c > b)
{
    int sum = a + b;
    Console.WriteLine(sum);
}
```

**Задача номер 8**

Сначала я запросил данные у пользователя и конвертировал их в числа.
Код выглядит таким образом:

```
Console.WriteLine("Введите координаты точки и радус оркружности");
Console.WriteLine("X: ");
int x = Convert.ToInt32(Console.ReadLine());
Console.WriteLine("Y: ");
int y = Convert.ToInt32(Console.ReadLine());
Console.WriteLine("R: ");
int r = Convert.ToInt32(Console.ReadLine());
```

Затем идет само решение и вывод результатов.
Код выглядит таким образом:

```
double hypotenuse = Math.Sqrt(x * 2 + y * 2);
if (hypotenuse <= r)
{
    Console.WriteLine("Точка принадлежит кругу");
}
else
{
    Console.WriteLine("Точка НЕ принадлежит кругу");
}
```

**Задача номер 9**

К сожалению, моих навыков в математике не хватило для решения данной задачи. Максимально извиняюсь. Из-за этого чувствую
себя просто ужасно.

**Задача номер 10**

Сначала я запросил данные у пользователя и конвертировал их в числа.
Код выглядит таким образом:

```
Console.WriteLine("Введите три числа");
Console.WriteLine("First: ");
int a = Convert.ToInt32(Console.ReadLine());
Console.WriteLine("Second: ");
int b = Convert.ToInt32(Console.ReadLine());
Console.WriteLine("Third: ");
int c = Convert.ToInt32(Console.ReadLine());
```

Затем идет само решение и вывод результатов.
Код выглядит таким образом:

if (a + b > c && a + c > b && b + c > a)
{
    Console.WriteLine("Треугольник с такими сторонами существует");
    
    if (Math.Pow(a, 2) + Math.Pow(b, 2) >= Math.Pow(c, 2) &
        Math.Pow(a, 2) + Math.Pow(c, 2) > Math.Pow(b, 2) &
        Math.Pow(b, 2) + Math.Pow(c, 2) > Math.Pow(a, 2))
    {
        Console.WriteLine("Треугольник является остроугольным");
    }
    else
    {
        Console.WriteLine("Треугольник не является остроугольным");
    }
}
else
{
    Console.WriteLine("Треугольник с такими сторонами не существует");
}
